Đến nội dung


Hình ảnh

Dùng lệnh flatten không được


  • Please log in to reply
4 replies to this topic

#1 tuanpecc1

tuanpecc1

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 19 September 2007 - 10:14 AM

Mình dùng lệnh flatten không đưa được đối tượng về z=0, sau đó quay sang dùng lệnh mo để đặt start z và end z = 0 thì được nhưng hơi lâu. Có bạn nào biết thì xin chỉ giáo cho mình nhé. thx
  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 19 September 2007 - 10:25 AM

Mình dùng lệnh flatten không đưa được đối tượng về z=0, sau đó quay sang dùng lệnh mo để đặt start z và end z = 0 thì được nhưng hơi lâu. Có bạn nào biết thì xin chỉ giáo cho mình nhé. thx

Bạn thử khởi động lại ACAD rồi dùng lại xem sao? Vì lệnh FLATTEN đôi khi vẫn bị lỗi như vậy.

Bạn có thể dùng lisp SuperIRON của CADViet: http://www.cadviet.com/forum/index.php?s=&...post&p=4779
hoặc lisp ve0 của CADViet: http://www.cadviet.com/forum/index.php?s=&...post&p=4054

Nếu khởi động lại ACAD mà vẫn không dùng được, bạn có thể upload file đó lên diễn đàn được không?
  • 0

#3 tuanpecc1

tuanpecc1

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 19 September 2007 - 01:46 PM

Bạn thử khởi động lại ACAD rồi dùng lại xem sao? Vì lệnh FLATTEN đôi khi vẫn bị lỗi như vậy.

Bạn có thể dùng lisp SuperIRON của CADViet: http://www.cadviet.com/forum/index.php?s=&...post&p=4779
hoặc lisp ve0 của CADViet: http://www.cadviet.com/forum/index.php?s=&...post&p=4054

Nếu khởi động lại ACAD mà vẫn không dùng được, bạn có thể upload file đó lên diễn đàn được không?


Xin cảm ơn bạn Nguyễn Hoành. Mình khởi động lại cad rồi nhưng vẫn ko dùng flatten được. Mình xin upload file đó lên diễn đàn nhờ bạn và các bạn khác nghiên cứu: http://www.cadviet.com/upfiles/betong.dwg
  • 0

#4 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 19 September 2007 - 02:41 PM

Xin cảm ơn bạn Nguyễn Hoành. Mình khởi động lại cad rồi nhưng vẫn ko dùng flatten được. Mình xin upload file đó lên diễn đàn nhờ bạn và các bạn khác nghiên cứu: http://www.cadviet.com/upfiles/betong.dwg

Ha ha, hay quá, file của bạn là trường hợp đặc biệt. Lệnh flatten bị lỗi khi chạy với file này.

Command: flatten
Select objects to convert to 2d...
Select objects: all
1074 found
Select objects:
Remove hidden lines? <No>:
Unknown command "FLATTEN". Press F1 for help.
Unknown command "0,0". Press F1 for help.
Unknown command "0,0". Press F1 for help.
bad argument type: numberp: nil


Bạn download file SIRON.vlx của CADViet về, appload và dùng lệnh SUPERIRON là OK. File của bạn chắc chắn không thể chạy được bằng lệnh FLATTEN, lý do tại sao thì phải hỏi AutoDesk rồi :unsure: .
  • 0

#5 Mã Hoàng Vân Thanh

Mã Hoàng Vân Thanh

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 November 2011 - 12:17 AM

Các bạn ơi cho mình hỏi tí. Mình làm một code nho nhỏ thế này nhưng bị báo lỗi lệnh flatten là sao j các bạn, Mong chỉ giáo:

(defun c:gdm1()
(setq then (entsel " Quet doi tuong chon"))
(setq taphop(ssget))
(setq k (sslength taphop))
(setq i 0)
(while (<= i k)
(setq a1 (last (entsel)))
(setq i (+ i 1))
(command "flatten" a1 "" "")
)
(princ)
)
Và lỗi mình nhận được là vậy nè:

flatten Unknown command "FLATTEN". Press F1 for help.

Command:
Command: _AI_SELALL Unknown command "AI_SELALL". Press F1 for help.

Command: _AI_SELALL Unknown command "AI_SELALL". Press F1 for help.
  • 0